%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname sushy


%global common_desc \
Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)

Name: python-%{sname}
Version: 1.8.1
Release: 1%{?dist}
Summary: Python library to communicate with Redfish based systems
License: ASL 2.0
URL: https://docs.openstack.org/%{sname}/

Source0: http://tarballs.openstack.org/%{sname}/%{sname}-%{upstream_version}.tar.gz

BuildArch: noarch

%description
%{common_desc}

%package -n python3-%{sname}
Summary: Python library to communicate with Redfish based systems

%{?python_provide:%python_provide python3-%{sname}}
BuildRequires: python3-devel
BuildRequires: python3-pbr
BuildRequires: python3-setuptools
# For running unit tests during check phase
BuildRequires: python3-dateutil
BuildRequires: python3-requests
BuildRequires: python3-six
BuildRequires: python3-stevedore

Requires: python3-pbr >= 2.0.0
Requires: python3-dateutil
Requires: python3-requests
Requires: python3-six >= 1.9.0
Requires: python3-stevedore

%description -n python3-%{sname}
%{common_desc}

%package -n python3-%{sname}-tests
Summary: Python library to communicate with Redfish based systems - unit tests
Requires: python3-%{sname} = %{version}-%{release}

BuildRequires: python3-oslotest
BuildRequires: python3-testrepository
BuildRequires: python3-testscenarios
BuildRequires: python3-testtools

Requires: python3-oslotest
Requires: python3-testrepository
Requires: python3-testscenarios
Requires: python3-testtools

%description -n python3-%{sname}-tests
%{common_desc}

This package contains unit tests.


%package -n python-%{sname}-doc
Summary: Python library to communicate with Redfish based systems - documentation

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme

%description -n python-%{sname}-doc
%{common_desc}

This package contains documentation.

%prep
%autosetup -n %{sname}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%py3_build

# generate html docs
%{__python3} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%check
rm -rf .testrepository
PYTHON=python3 %{__python3} setup.py test

%install
%py3_install

%files -n python3-%{sname}
%license LICENSE
%{python3_sitelib}/%{sname}
%{python3_sitelib}/%{sname}-*.egg-info
%exclude %{python3_sitelib}/%{sname}/tests

%files -n python3-%{sname}-tests
%license LICENSE
%{python3_sitelib}/%{sname}/tests


%files -n python-%{sname}-doc
%license LICENSE
%doc doc/build/html README.rst

%changelog
* Mon Mar 04 2019 Dmitry Tantsur <divius.inside@gmail.com> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 06 2019 Dmitry Tantsur <divius.inside@gmail.com> - 1.3.3-1
- Update to 1.3.3 to fix the UEFI boot mode issue

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0-7
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Aug 16 2018 Javier Peña <jpena@redhat.com> - 1.2.0-6
- Fixed Rawhide build (bz#1605933)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-4
- Rebuilt for Python 3.7

* Thu Feb 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.0-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 14 2017 Nathaniel Potter <nathaniel.potter@intel.com> 1.2.0-1
- Update for fedora packaging.
* Mon Mar 20 2017 Lucas Alvares Gomes <lucasagomes@gmail.com> 0.1.0-1
- Initial package.
